<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: modelo_llamadas_nhc_5.xml */
/* Generado: 2014-11-25 12:51:48 */

/* M�todos de acceso a los campos de la tabla cr_llamada_movimiento */
abstract class BaseCr_llamada_movimientoBN
{
    /* Campos de la tabla */
    private $i_IdMovimientoLlamada;    // IdMovimientoLlamada: ( no definido )
    private $i_IdCabecera;    // IdCabecera: ( no definido )
    private $i_IdTelefono;    // IdTelefono: ( no definido )
    private $i_IdCliente;    // IdCliente: ( no definido )
    private $i_IdResultado;    // IdResultado: ( no definido )
    private $s_Detalle;    // Detalle: ( no definido )
    private $d_Fecha;    // Fecha: ( no definido )
    private $f_Monto;    // Monto: ( no definido )
    private $i_HoraMinutoFin;    // HoraMinutoFin: ( no definido )
    private $i_HoraMinutoInicio;    // HoraMinutoInicio: ( no definido )
    private $s_TipoPago;    // TipoPago: ( no definido )
    private $s_Banco;    // Banco: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaRegistro;    // FechaRegistro: ( no definido )
    private $s_UsuarioRegistro;    // UsuarioRegistro: ( no definido )
    private $i_Eliminado;    // Eliminado: ( no definido )
    private $d_FechaEliminado;    // FechaEliminado: ( no definido )
    private $s_UsuarioEliminado;    // UsuarioEliminado: ( no definido )

    /* Establece el valor del campo IdMovimientoLlamada */
    public function setIdMovimientoLlamada( $i_IdMovimientoLlamada )
    {
        $this->i_IdMovimientoLlamada = $i_IdMovimientoLlamada;
    }

    /* Obtiene el valor del campo IdMovimientoLlamada */
    public function getIdMovimientoLlamada()
    {
        return $this->i_IdMovimientoLlamada;
    }

    /* Establece el valor del campo IdCabecera */
    public function setIdCabecera( $i_IdCabecera )
    {
        $this->i_IdCabecera = $i_IdCabecera;
    }

    /* Obtiene el valor del campo IdCabecera */
    public function getIdCabecera()
    {
        return $this->i_IdCabecera;
    }

    /* Establece el valor del campo IdTelefono */
    public function setIdTelefono( $i_IdTelefono )
    {
        $this->i_IdTelefono = $i_IdTelefono;
    }

    /* Obtiene el valor del campo IdTelefono */
    public function getIdTelefono()
    {
        return $this->i_IdTelefono;
    }

    /* Establece el valor del campo IdCliente */
    public function setIdCliente( $i_IdCliente )
    {
        $this->i_IdCliente = $i_IdCliente;
    }

    /* Obtiene el valor del campo IdCliente */
    public function getIdCliente()
    {
        return $this->i_IdCliente;
    }

    /* Establece el valor del campo IdResultado */
    public function setIdResultado( $i_IdResultado )
    {
        $this->i_IdResultado = $i_IdResultado;
    }

    /* Obtiene el valor del campo IdResultado */
    public function getIdResultado()
    {
        return $this->i_IdResultado;
    }

    /* Establece el valor del campo Detalle */
    public function setDetalle( $s_Detalle )
    {
        $this->s_Detalle = $s_Detalle;
    }

    /* Obtiene el valor del campo Detalle */
    public function getDetalle()
    {
        return $this->s_Detalle;
    }

    /* Establece el valor del campo Fecha */
    public function setFecha( $d_Fecha )
    {
        $this->d_Fecha = $d_Fecha;
    }

    /* Obtiene el valor del campo Fecha */
    public function getFecha()
    {
        return $this->d_Fecha;
    }

    /* Establece el valor del campo Monto */
    public function setMonto( $f_Monto )
    {
        $this->f_Monto = $f_Monto;
    }

    /* Obtiene el valor del campo Monto */
    public function getMonto()
    {
        return $this->f_Monto;
    }

    /* Establece el valor del campo HoraMinutoFin */
    public function setHoraMinutoFin( $i_HoraMinutoFin )
    {
        $this->i_HoraMinutoFin = $i_HoraMinutoFin;
    }

    /* Obtiene el valor del campo HoraMinutoFin */
    public function getHoraMinutoFin()
    {
        return $this->i_HoraMinutoFin;
    }

    /* Establece el valor del campo HoraMinutoInicio */
    public function setHoraMinutoInicio( $i_HoraMinutoInicio )
    {
        $this->i_HoraMinutoInicio = $i_HoraMinutoInicio;
    }

    /* Obtiene el valor del campo HoraMinutoInicio */
    public function getHoraMinutoInicio()
    {
        return $this->i_HoraMinutoInicio;
    }

    /* Establece el valor del campo TipoPago */
    public function setTipoPago( $s_TipoPago )
    {
        $this->s_TipoPago = $s_TipoPago;
    }

    /* Obtiene el valor del campo TipoPago */
    public function getTipoPago()
    {
        return $this->s_TipoPago;
    }

    /* Establece el valor del campo Banco */
    public function setBanco( $s_Banco )
    {
        $this->s_Banco = $s_Banco;
    }

    /* Obtiene el valor del campo Banco */
    public function getBanco()
    {
        return $this->s_Banco;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaRegistro */
    public function setFechaRegistro( $d_FechaRegistro )
    {
        $this->d_FechaRegistro = $d_FechaRegistro;
    }

    /* Obtiene el valor del campo FechaRegistro */
    public function getFechaRegistro()
    {
        return $this->d_FechaRegistro;
    }

    /* Establece el valor del campo UsuarioRegistro */
    public function setUsuarioRegistro( $s_UsuarioRegistro )
    {
        $this->s_UsuarioRegistro = $s_UsuarioRegistro;
    }

    /* Obtiene el valor del campo UsuarioRegistro */
    public function getUsuarioRegistro()
    {
        return $this->s_UsuarioRegistro;
    }

    /* Establece el valor del campo Eliminado */
    public function setEliminado( $i_Eliminado )
    {
        $this->i_Eliminado = $i_Eliminado;
    }

    /* Obtiene el valor del campo Eliminado */
    public function getEliminado()
    {
        return $this->i_Eliminado;
    }

    /* Establece el valor del campo FechaEliminado */
    public function setFechaEliminado( $d_FechaEliminado )
    {
        $this->d_FechaEliminado = $d_FechaEliminado;
    }

    /* Obtiene el valor del campo FechaEliminado */
    public function getFechaEliminado()
    {
        return $this->d_FechaEliminado;
    }

    /* Establece el valor del campo UsuarioEliminado */
    public function setUsuarioEliminado( $s_UsuarioEliminado )
    {
        $this->s_UsuarioEliminado = $s_UsuarioEliminado;
    }

    /* Obtiene el valor del campo UsuarioEliminado */
    public function getUsuarioEliminado()
    {
        return $this->s_UsuarioEliminado;
    }

    /* Recupera un objeto Cr_llamada_movimientoBN desde un RecordSet */
    public static function retrieveByRs( $o_Cr_llamada_movimientoRs )
    {
        $o_Cr_llamada_movimientoBN = new Cr_llamada_movimientoBN();
        $o_Cr_llamada_movimientoBN->setIdMovimientoLlamada( ( integer ) $o_Cr_llamada_movimientoRs[ "IdMovimientoLlamada" ] );
        $o_Cr_llamada_movimientoBN->setIdCabecera( ( integer ) $o_Cr_llamada_movimientoRs[ "IdCabecera" ] );
        $o_Cr_llamada_movimientoBN->setIdTelefono( ( integer ) $o_Cr_llamada_movimientoRs[ "IdTelefono" ] );
        $o_Cr_llamada_movimientoBN->setIdCliente( ( integer ) $o_Cr_llamada_movimientoRs[ "IdCliente" ] );
        $o_Cr_llamada_movimientoBN->setIdResultado( ( integer ) $o_Cr_llamada_movimientoRs[ "IdResultado" ] );
        $o_Cr_llamada_movimientoBN->setDetalle( $o_Cr_llamada_movimientoRs[ "Detalle" ] );
        $o_Cr_llamada_movimientoBN->setFecha( utilTimestamp::getTimestamp( $o_Cr_llamada_movimientoRs[ "Fecha" ], "Y-m-d H:i:s" ) );
        $o_Cr_llamada_movimientoBN->setMonto( ( float ) $o_Cr_llamada_movimientoRs[ "Monto" ] );
        $o_Cr_llamada_movimientoBN->setHoraMinutoFin( ( integer ) $o_Cr_llamada_movimientoRs[ "HoraMinutoFin" ] );
        $o_Cr_llamada_movimientoBN->setHoraMinutoInicio( ( integer ) $o_Cr_llamada_movimientoRs[ "HoraMinutoInicio" ] );
        $o_Cr_llamada_movimientoBN->setTipoPago( $o_Cr_llamada_movimientoRs[ "TipoPago" ] );
        $o_Cr_llamada_movimientoBN->setBanco( $o_Cr_llamada_movimientoRs[ "Banco" ] );
        $o_Cr_llamada_movimientoBN->setEstado( $o_Cr_llamada_movimientoRs[ "Estado" ] );
        $o_Cr_llamada_movimientoBN->setFechaRegistro( utilTimestamp::getTimestamp( $o_Cr_llamada_movimientoRs[ "FechaRegistro" ], "Y-m-d H:i:s" ) );
        $o_Cr_llamada_movimientoBN->setUsuarioRegistro( $o_Cr_llamada_movimientoRs[ "UsuarioRegistro" ] );
        $o_Cr_llamada_movimientoBN->setEliminado( ( integer ) $o_Cr_llamada_movimientoRs[ "Eliminado" ] );
        $o_Cr_llamada_movimientoBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_Cr_llamada_movimientoRs[ "FechaEliminado" ], "Y-m-d H:i:s" ) );
        $o_Cr_llamada_movimientoBN->setUsuarioEliminado( $o_Cr_llamada_movimientoRs[ "UsuarioEliminado" ] );
        return $o_Cr_llamada_movimientoBN;
    }
}
?>